Name:			shotwell
Version:		0.11.6
Release:		1
Summary:		A photo organizer designed for GNOME
License:		LGPLv2+ and CC-BY-SA
Group:			Graphics
Url:			http://www.yorba.org/shotwell/
Source0:		http://www.yorba.org/download/shotwell/0.11/shotwell-%{version}.tar.bz2
Requires:		yelp >= 2.30.2
Requires:		dconf
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:		vala >= 0.12.0
BuildRequires:		gettext
BuildRequires:		gtk+2-devel >= 2.14.4
BuildRequires:		libgee-devel >= 0.5.0
BuildRequires:		webkitgtk-devel >= 1.1.5
BuildRequires:		sqlite-devel >= 3.5.9
BuildRequires:		gphoto2-devel >= 2.4.2
BuildRequires:		libgexiv2-devel >= 0.1.0
BuildRequires:		unique-devel >= 1.0.0
BuildRequires:		libsoup-devel
BuildRequires:		dbus-glib-devel
BuildRequires:		libGConf2-devel
BuildRequires:		libgudev-devel
BuildRequires:		libraw-devel
BuildRequires:		libjson-glib-devel
BuildRequires:		libgomp-devel
BuildRequires:		gnome-vfs2-devel

%description
Shotwell is a digital photo organizer designed for the GNOME desktop 
environment. It allows you to import photos from disk or camera, 
organize them in various ways, view them in full-window or fullscreen 
mode, and export them to share with others.

%prep
%setup -q

%build
%define _disable_ld_no_undefined 1
./configure --lib=%{_lib} --prefix=/usr --disable-schemas-install --assume-pkgs --disable-icon-update --disable-desktop-update
sed -i -e 's/\\n/\n/g' configure.mk
sed -i -e 's/^CFLAGS = .*$/CFLAGS = %{optflags} %{ldflags}/' Makefile
%make LDFLAGS="%ldflags"

%install
rm -rf %{buildroot}
%makeinstall_std
rm -rf %{buildroot}/%{_datadir}/glib-2.0/schemas/*

%find_lang %{name} --all-name

%clean
rm -rf %{buildroot}

%preun
%preun_uninstall_gconf_schemas %name

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS MAINTAINERS README COPYING NEWS THANKS
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/gnome/help/%{name}
%{_datadir}/GConf/gsettings/%{name}.convert
#%{_datadir}/glib-2.0/schemas/*
%{_datadir}/applications/%{name}*.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*
#% {_sysconfdir}/gconf/schemas/ % {name}.schemas


%changelog
* Mon Nov 14 2011 Alexander Khrukin <akhrukin@mandriva.org> 0.11.6-1
+ Revision: 730525
- version update to 0.11.6

* Wed Oct 26 2011 Alexander Khrukin <akhrukin@mandriva.org> 0.11.5-2
+ Revision: 707416
- fix file package conflic via shotwell and glib-2

* Wed Oct 26 2011 Alexander Khrukin <akhrukin@mandriva.org> 0.11.5-1
+ Revision: 707299
- updated to upstream release see #64560

* Wed Aug 17 2011 Alexander Barakin <abarakin@mandriva.org> 0.10.1-4
+ Revision: 694875
- increase release number
- correct dependency on yelp

* Fri Aug 12 2011 Alexander Barakin <abarakin@mandriva.org> 0.10.1-3
+ Revision: 694148
- help needs yelp #63897

* Mon Jun 20 2011 Funda Wang <fwang@mandriva.org> 0.10.1-2
+ Revision: 686118
- rebuild for new webkit

* Sat Jun 04 2011 Funda Wang <fwang@mandriva.org> 0.10.1-1
+ Revision: 682698
- update to new version 0.10.1

* Fri May 27 2011 Funda Wang <fwang@mandriva.org> 0.10-1
+ Revision: 679243
- more linkage fix
- new version 0.10

* Mon May 23 2011 Funda Wang <fwang@mandriva.org> 0.9.3-2
+ Revision: 677833
- rebuild to add gconftool as req

* Sat Apr 23 2011 Funda Wang <fwang@mandriva.org> 0.9.3-1
+ Revision: 657728
- new version 0.9.3

* Tue Apr 05 2011 Funda Wang <fwang@mandriva.org> 0.9.1-1
+ Revision: 650606
- new version 0.9.1

* Fri Feb 04 2011 Funda Wang <fwang@mandriva.org> 0.8.1-1
+ Revision: 635838
- BR libgomp-devel
- new version 0.8.1

* Fri Dec 24 2010 Funda Wang <fwang@mandriva.org> 0.8.0-1mdv2011.0
+ Revision: 624566
- update BR
- new version 0.8.0

  + Götz Waschk <waschk@mandriva.org>
    - bump vala dep

* Sat Sep 11 2010 Funda Wang <fwang@mandriva.org> 0.7.2-1mdv2011.0
+ Revision: 577145
- update to new version 0.7.2

* Sat Aug 28 2010 Funda Wang <fwang@mandriva.org> 0.7.1-1mdv2011.0
+ Revision: 573664
- new version 0.7.1

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 0.7.0-1mdv2011.0
+ Revision: 571747
- new version 0.7.0

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 0.6.1-1mdv2011.0
+ Revision: 565620
- add upstream patch to build with vala 0.9.3
- New version 0.6.1

* Fri May 28 2010 Antoine Ginies <aginies@mandriva.com> 0.5.2-1mdv2010.1
+ Revision: 546490
- more languages support (Czech, Finnish, Greek, and Ukrainian), remove patch (integrated upstream)

* Wed Apr 21 2010 Frederik Himpe <fhimpe@mandriva.org> 0.5.0-1mdv2010.1
+ Revision: 537732
- Fix BuildRequires
- Update to new version 0.5.0
- Add patch from Debian to build with vala 0.8
- Don't update icon cache while building package

* Sun Jan 24 2010 Frederik Himpe <fhimpe@mandriva.org> 0.4.3-1mdv2010.1
+ Revision: 495530
- update to new version 0.4.3

* Wed Jan 06 2010 Jérôme Brenier <incubusss@mandriva.org> 0.4.2-1mdv2010.1
+ Revision: 486757
- new version 0.4.2
- add minimal version for some BuildRequires

* Sun Dec 27 2009 Jérôme Brenier <incubusss@mandriva.org> 0.4.1-1mdv2010.1
+ Revision: 482593
- add a buildroot tag
- import shotwell

